> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/api-reference/tester-army-api/projects/llms.txt.
> For full documentation content, see https://docs.tester.army/api-reference/tester-army-api/projects/llms-full.txt.

# Confirm a project mobile app upload

POST https://tester.army/v1/projects/{projectId}/mobile/upload/confirm
Content-Type: application/json

Confirm a completed presigned upload and attach it to the project.

Reference: https://docs.tester.army/api-reference/tester-army-api/projects/confirm-a-project-mobile-app-upload

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/projects/{projectId}/mobile/upload/confirm:
    post:
      operationId: confirm-a-project-mobile-app-upload
      summary: Confirm a project mobile app upload
      description: Confirm a completed presigned upload and attach it to the project.
      tags:
        - subpackage_projects
      parameters:
        - name: projectId
          in: path
          description: Project ID
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Mobile app uploaded successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Projects_confirmAProjectMobileAppUpload_Response_201
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ConfirmAProjectMobileAppUploadRequestBadRequestError
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ConfirmAProjectMobileAppUploadRequestUnauthorizedError
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ConfirmAProjectMobileAppUploadRequestTooManyRequestsError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ConfirmAProjectMobileAppUploadRequestInternalServerError
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ConfirmAProjectMobileAppUploadRequestGatewayTimeoutError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                storageKey:
                  type: string
                filename:
                  type: string
                fileSize:
                  type: integer
                removeAfter:
                  type: integer
              required:
                - storageKey
                - filename
                - fileSize
servers:
  - url: https://tester.army
components:
  schemas:
    V1ProjectsProjectIdMobileUploadConfirmPostResponsesContentApplicationJsonSchemaAppPlatform:
      type: string
      enum:
        - ios
        - android
      title: >-
        V1ProjectsProjectIdMobileUploadConfirmPostResponsesContentApplicationJsonSchemaAppPlatform
    V1ProjectsProjectIdMobileUploadConfirmPostResponsesContentApplicationJsonSchemaAppSource:
      type: string
      enum:
        - manual_upload
        - group_webhook_artifact
        - api_upload
      title: >-
        V1ProjectsProjectIdMobileUploadConfirmPostResponsesContentApplicationJsonSchemaAppSource
    V1ProjectsProjectIdMobileUploadConfirmPostResponsesContentApplicationJsonSchemaApp:
      type: object
      properties:
        id:
          type: string
          format: uuid
        platform:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdMobileUploadConfirmPostResponsesContentApplicationJsonSchemaAppPlatform
        filename:
          type: string
        bundleId:
          type:
            - string
            - 'null'
        appVersion:
          type:
            - string
            - 'null'
        buildVersion:
          type:
            - string
            - 'null'
        fileSize:
          type: number
          format: double
        source:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdMobileUploadConfirmPostResponsesContentApplicationJsonSchemaAppSource
        expiresAt:
          type:
            - string
            - 'null'
          format: date-time
        removeAfter:
          type:
            - integer
            - 'null'
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - platform
        - filename
        - bundleId
        - appVersion
        - buildVersion
        - fileSize
        - source
        - expiresAt
        - removeAfter
        - createdAt
      title: >-
        V1ProjectsProjectIdMobileUploadConfirmPostResponsesContentApplicationJsonSchemaApp
    Projects_confirmAProjectMobileAppUpload_Response_201:
      type: object
      properties:
        app:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdMobileUploadConfirmPostResponsesContentApplicationJsonSchemaApp
      required:
        - app
      title: Projects_confirmAProjectMobileAppUpload_Response_201
    ConfirmAProjectMobileAppUploadRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ConfirmAProjectMobileAppUploadRequestBadRequestError
    ConfirmAProjectMobileAppUploadRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ConfirmAProjectMobileAppUploadRequestUnauthorizedError
    ConfirmAProjectMobileAppUploadRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ConfirmAProjectMobileAppUploadRequestTooManyRequestsError
    ConfirmAProjectMobileAppUploadRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ConfirmAProjectMobileAppUploadRequestInternalServerError
    ConfirmAProjectMobileAppUploadRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: ConfirmAProjectMobileAppUploadRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://tester.army/v1/projects/projectId/mobile/upload/confirm"

payload = {
    "storageKey": "string",
    "filename": "string",
    "fileSize": 1
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/v1/projects/projectId/mobile/upload/confirm';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"storageKey":"string","filename":"string","fileSize":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/v1/projects/projectId/mobile/upload/confirm"

	payload := strings.NewReader("{\n  \"storageKey\": \"string\",\n  \"filename\": \"string\",\n  \"fileSize\": 1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/v1/projects/projectId/mobile/upload/confirm")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"storageKey\": \"string\",\n  \"filename\": \"string\",\n  \"fileSize\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tester.army/v1/projects/projectId/mobile/upload/confirm")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"storageKey\": \"string\",\n  \"filename\": \"string\",\n  \"fileSize\": 1\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tester.army/v1/projects/projectId/mobile/upload/confirm', [
  'body' => '{
  "storageKey": "string",
  "filename": "string",
  "fileSize": 1
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/v1/projects/projectId/mobile/upload/confirm");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"storageKey\": \"string\",\n  \"filename\": \"string\",\n  \"fileSize\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "storageKey": "string",
  "filename": "string",
  "fileSize": 1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/v1/projects/projectId/mobile/upload/confirm")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```